Bug 152741 - vsftpd Listener Denial of Service
vsftpd Listener Denial of Service
Status: CLOSED NOTABUG
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
ftp://vsftpd.beasts.org/users/cevans/...
LEGACY
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-23 04:53 EDT by Dominic Hargreaves
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:25:50 EST
vsftpd is a popular Unix based Very Secure File Transfer
Protocol Daemon (vsftpd). vsftpd's listener process can become
unstable under extreme loads, denying service to legitimate users. The
issue exists in the "vsf_sysutil_accept_timeout()" and
"vsf_sysutil_sockaddr_alloc()" functions. vsftpd versions 1.2.1 and
earlier are affected.

Affects rh 7.3 and 9



------- Additional Comments From marcdeslauriers@videotron.ca 2004-06-23 14:21:53 ----

More info here:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=119136

Can someone confirm this issue exists in vsftpd earlier than 1.2.1?

I looked through the code of vsftpd 1.1.3 from RH9 and I'm really not sure this
issue applies.



------- Additional Comments From marcdeslauriers@videotron.ca 2004-06-23 14:40:26 ----

Actually, it does look like it applies...



------- Additional Comments From marcdeslauriers@videotron.ca 2004-06-24 04:43:38 ----

OK, after further investigation, I don't think this bug applies to vsftpd 1.1.3.

The SIGCHLD handler is not async, as it is with 1.2.1. The signal is checked by
vsf_sysutil_check_pending_actions() that makes sure it's not re-entrant with a
"running" flag.

Can someone confirm this, as I'm far from an expert on this. :)




------- Additional Comments From marcdeslauriers@videotron.ca 2004-09-18 17:20:05 ----

I'm closing this as it appears to be a non-issue.
If anyone thinks otherwise, they can re-open it.



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:25 -------

This bug previously known as bug 1778 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=1778
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.


Note You need to log in before you can comment on or make changes to this bug.